Bug Hunting Session
Bug 91060 - LO impress crashes when opening pptx with comments
Summary: LO impress crashes when opening pptx with comments
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.1.0.4 release
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.1.0 target:5.0.2 target:4.4.6
Keywords:
Depends on:
Blocks:
 
Reported: 2015-05-03 21:43 UTC by sayantan13
Modified: 2016-10-25 19:24 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
pptx_with_comments_crashes_LO5 (399.25 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2015-08-27 05:05 UTC, sayantan13
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sayantan13 2015-05-03 21:43:15 UTC
Hi,

I have recently see that a .PPTX file with more than 16 slides with comments (review) inserted on every page, fails to open in LO Impress . LO simply crashes and does not try to recover the file.

THe file can be opened successfully in WPS and MS Powerpoint.
Since the file on which I'm facing this issue contains confidential information, I am unable to upload the file here.
Comment 1 sayantan13 2015-05-03 21:45:09 UTC
OS: Ubuntu 15.04
Arch: x86_64
LO: v 4.4
Comment 2 raal 2015-05-04 05:47:30 UTC Comment hidden (obsolete)
Comment 3 sayantan13 2015-08-27 05:05:12 UTC
Created attachment 118212 [details]
pptx_with_comments_crashes_LO5

Attaching the file which crashes Lo5. This is a pptx presentation with comments.
Comment 4 raal 2015-08-27 05:20:59 UTC
I can open file in powerpoint, but not in LO Verze: 5.0.0.5
ID sestavení: 1b1a90865e348b492231e1c451437d7a15bb262b, win7

In Lo error: input output error. No crash.
Comment 5 Commit Notification 2015-09-01 08:41:46 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c874bf3f7bd6bbe31416506d9b4213bcbbbac4fa

Resolves: tdf#91060 don't crash on loading certain pptx

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2015-09-01 10:00:18 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=414230d695780e5813a87ca21b17ece081950530&h=libreoffice-5-0

Resolves: tdf#91060 don't crash on loading certain pptx

It will be available in 5.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-09-02 15:55:04 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=32982a45089e0eaacb2442806bbee658b8e2daac&h=libreoffice-4-4

Resolves: tdf#91060 don't crash on loading certain pptx

It will be available in 4.4.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.